EDIT - bug #6240

maven javadoc plugin fails with java 1.8
12/05/2016 12:47 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.8

Severity: normal Found in Version:

Description

the maven javadoc plugin fails with java 1.8

this occurred firstly in the cdm-vaadin-RLS-FINISH jenkins job an was reproduce-able locally. The maven javadoc plugin reports a lot
of warings and errors and in the end it fails (log from local run of mvn javadoc:javadoc -X below).

According to http://stackoverflow.com/questions/15886209/maven-is-not-working-in-java-8-when-javadoc-tags-are-incompletemvn a
interim solution is to disable doclint for jdk1.8, much more recommendet however is fixing the javadoc problems in the code. --->
#6241

log:

/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/ui/ConceptRelationsh
ipUIRedirect.java:28: error: unknown tag: date
* @date 9 Apr 2015
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/CdmSpringC
onnectionPool.java:19: error: unknown tag: date
* @date 9 Mar 2015
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/IdUuidName
.java:16: error: unknown tag: date
* @date 7 Apr 2015
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTa
xonContainer. java:38: error: unknown tag: date
* @date 10 Mar 2015
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTa
xonContainer.java:71: error: @param name not found
* @param delegate
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTa
xonContainer. java:71: warning: no description for @param
* @param delegate
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTa
xonContainer. java:72: warning: no description for @throws
* @throws SQLException
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTa
xonContainer. java:74: warning: no @param for classificationId
public LeafNodeTaxonContainer (int classificationId) throws SQLException {
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/container/TaxonNodeC
ontainer. java:48: warning: no description for @param
* @param parent
/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/jscomponent/D3Concep
tRelationshipTree.java:40: error: unknown tag: date
* @date 8 Apr 2015
A

/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/jscomponent /D3Concep

tRelationshipTreeState.java:16:

* @date 8 Apr 2015

A

error:

unknown tag: date

/home/andreas/workspaces/cdm/cdm-vaadin/src/main/java/eu/etaxonomy/cdm/vaadin/statement/CdmStateme

ntDelegate.

Java:27:

* @date 10 Mar 2015

A

Command line was:

Refer to the generated Javadoc files in

RICIEQIE §

unknown tag: date

/opt/java-oracle/jdk1.8.0_60/jre/../bin/javadoc @options @packages

' /home/andreas/workspaces/cdm/cdm-vaadin/target/site/apido

cs' dir.

at org.apache.maven.plugin. javadoc.AbstractJavadocMojo.executeJavadocCommandLine (Abstractd
avadocMojo. java:5188)

at org.apache.maven.plugin. javadoc.AbstractJavadocMojo.executeReport (AbstractJavadocMojo. j
ava:2075)

at org.apache.maven.plugin.javadoc.JavadocReport.generate (JavadocReport. java:130)

at org.apache.maven.plugin. javadoc.JavadocReport.execute (JavadocReport. java:318)

21 more

[ERROR]
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following ar
ticles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException

Related issues:

Copied to EDIT - bug #6241: fix java doc problems in projects Feedback

Associated revisions

Revision 31adf9f4 - 12/05/2016 01:16 PM - Andreas Kohlbecker
fix #6240 disabling doclint in javadoc for jdk.8

Revision b139097d - 12/05/2016 03:10 PM - Andreas Kohlbecker
fix #6240 disabling doclint in javadoc for jdk.8

Revision 99f6d804 - 03/13/2017 04:36 PM - Andreas Kohlbecker
#6241 disabling doclint in javadoc-plugin

Revision d2fbb2f5 - 03/14/2017 11:32 AM - Andreas Kohlbecker
ref #6240 ref #6241 disabling doclint in javadoc for jdk.8

History

#1 - 12/05/2016 12:50 PM - Andreas Kohlbecker
- Related to bug #6241 fix java doc problems in projects added

#2 - 12/05/2016 12:50 PM - Andreas Kohlbecker
- Description updated

- Category set to cdmlib

#3 - 12/05/2016 01:16 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|31adf9f4302833188ad46a6a325120ae62ad05c¢b.

#4 - 01/30/2017 12:24 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

- Priority changed from New to Highest
- Target version set to Release 4.6

#5 - 02/01/2017 11:45 AM - Patrick Plitzner
- Related to deleted (bug #6241: fix java doc problems in projects)

#6 - 02/01/2017 11:45 AM - Patrick Plitzner
- Has duplicate bug #6241 fix java doc problems in projects added

#7 - 03/14/2017 09:00 AM - Andreas Kohlbecker
- Has duplicate deleted (bug #6241: fix java doc problems in projects)

#8 - 03/14/2017 09:00 AM - Andreas Kohlbecker
- Related to bug #6241: fix java doc problems in projects added

#9 - 07/10/2017 02:09 PM - Patrick Plitzner

- Target version changed from Release 4.6 to Release 4.9

#10 - 07/21/2017 11:47 AM - Patrick Plitzner
- Target version changed from Release 4.9 to Release 4.10

- Severity changed from blocker to normal

#11 - 07/24/2017 10:25 AM - Patrick Plitzner
- Related to deleted (bug #6241 fix java doc problems in projects)

#12 - 07/24/2017 10:25 AM - Patrick Plitzner
- Copied to bug #6241 fix java doc problems in projects added

#13 - 07/24/2017 10:26 AM - Patrick Plitzner

- Status changed from Resolved to Closed

remaining issues -> #6241

#14 - 07/24/2017 12:55 PM - Andreas Miiller
- Target version changed from Release 4.10 to Release 4.8

- % Done changed from 50 to 100
